deGenesANOVA {maigesPack} | R Documentation

## Function to do differential expression analysis, using ANOVA models

### Description

This function takes an object of class `maiges` and do differential expression analysis for the genes onto dataset, comparing more than two samples using ANalysis Of VAriance (ANOVA) models.

### Usage

    deGenesANOVA(data=NULL, eBayes=FALSE, retOrig=FALSE,
                 retF=FALSE, doClust=TRUE, ...)

### Arguments

`data` | object of class `maigesANOVA`.
`eBayes` | logical indicating the use or not (default) of empirical Bayes statistics implemented in limma package.
`retOrig` | logical indicating if the object of class `MArrayLM` from limma package must be returned. Defaults to FALSE.
`retF` | logical asking to return the results associated with the F test (TRUE) or with the individual contrasts (FALSE - default).
`doClust` | logical indicating if the object generated from this analysis will be used for cluster analysis. Defaults to TRUE.
`...` | additional parameters to function `lmFit`.

### Details

The object of class `maigesANOVA` of the argument `data` is created by the function `designANOVA`. This function calculate statistics and p-values using the function `lmFit` from package limma.

### Value

The result of this function is an object of class `MArrayLM` when `retOrig` is TRUE. When it is FALSE, the result is an object of class `maigesDE` if `doClust` if FALSE or of class `maigesDEcluster` if it is TRUE.

### Author(s)

Gustavo H. Esteves <gesteves@vision.ime.usp.br>

### See Also

`designANOVA`, `lmFit`, `MArrayLM`.

### Examples

    ## Loading the dataset
    data(gastro)

    ## Constructing a maigesANOVA object for the 'Tissue' sample label using
    ## default model (simple linear model with intercept) and contrasts (all
    ## parameters are equal between themselves)
    gastro.ANOVA = designANOVA(gastro.summ, factors="Tissue")

    ## Fitting the ANOVA model designed by the above command
    gastro.ANOVAfit = deGenesANOVA(gastro.ANOVA, retF=TRUE)
    gastro.ANOVAfit

[Package maigesPack version 1.4.0 Index]